#include "raine.h"
#include "sasound.h"
#include "es5506.h"

#ifdef ALLEGRO_SOUND
int max_mixer_volume;
#endif

void sound_load_cfg() {
   RaineSoundCard = raine_get_config_id(	"Sound",        "sound_card",           DIGI_NONE);
   audio_sample_rate= raine_get_config_int( "Sound",        "sample_rate",          22050 );
   es5506_voice_filters = raine_get_config_int( "Sound",        "es5506_voice_filters",1 );
   enh_stereo = raine_get_config_int( "Sound",        "enh_stereo",0 );
#ifdef ALLEGRO_SOUND
   max_mixer_volume = raine_get_config_int( "Sound",        "max_mixer_volume",0 );
#endif
}

void sound_save_cfg() {
   // SOUND
   raine_set_config_id( 	"Sound",        "sound_card",           RaineSoundCard);
   raine_set_config_int(	"Sound",        "sample_rate",          audio_sample_rate);

#if 0
   raine_set_config_int(	"Sound",        "BufferMaxA",           STREAM_BUFFER_MAXA);
   raine_set_config_int(	"Sound",        "ModeBFrameSize",       MODEB_FRAME_SIZE);
   raine_set_config_int(	"Sound",        "ModeBUpdateCount",     MODEB_UPDATE_COUNT);
#endif

   raine_set_config_int(	"Sound",        "DariusStereo",         DariusStereo);
   raine_set_config_int(	"Sound",        "es5506_voice_filters", es5506_voice_filters);
   raine_set_config_int(	"Sound",        "enh_stereo",         enh_stereo);
#ifdef ALLEGRO_SOUND
   raine_set_config_int(	"Sound",        "max_mixer_volume",         max_mixer_volume);
#endif
}
